SDL_BApp.h File Reference
`#include <InterfaceKit.h>`
`#include <OpenGLKit.h>`
`#include "../../video/haiku/SDL_bkeyboard.h"`
`#include "../../SDL_internal.h"`
`#include "SDL_video.h"`
`#include "../../events/SDL_events_c.h"`
`#include "../../video/haiku/SDL_bframebuffer.h"`
`#include <vector>`
Include dependency graph for SDL_BApp.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | SDL_BApp

## Enumerations

enum | ToSDL { BAPP_MOUSE_MOVED, BAPP_MOUSE_BUTTON, BAPP_MOUSE_WHEEL, BAPP_KEY, BAPP_REPAINT, BAPP_MAXIMIZE, BAPP_MINIMIZE, BAPP_RESTORE, BAPP_SHOW, BAPP_HIDE, BAPP_MOUSE_FOCUS, BAPP_KEYBOARD_FOCUS, BAPP_WINDOW_CLOSE_REQUESTED, BAPP_WINDOW_MOVED, BAPP_WINDOW_RESIZED, BAPP_SCREEN_CHANGED }

## Enumeration Type Documentation

enum ToSDL

Enumerator
BAPP_MOUSE_MOVED |
BAPP_MOUSE_BUTTON |
BAPP_MOUSE_WHEEL |
BAPP_KEY |
BAPP_REPAINT |
BAPP_MAXIMIZE |
BAPP_MINIMIZE |
BAPP_RESTORE |
BAPP_SHOW |
BAPP_HIDE |
BAPP_MOUSE_FOCUS |
BAPP_KEYBOARD_FOCUS |
BAPP_WINDOW_CLOSE_REQUESTED |
BAPP_WINDOW_MOVED |
BAPP_WINDOW_RESIZED |
BAPP_SCREEN_CHANGED |

Definition at line 56 of file SDL_BApp.h.

{
/* Intercepted by BWindow on its way to BView */
BAPP_MOUSE_MOVED,
BAPP_MOUSE_BUTTON,
BAPP_MOUSE_WHEEL,
BAPP_KEY,
BAPP_REPAINT, /* from _UPDATE_ */
/* From BWindow */
BAPP_MAXIMIZE, /* from B_ZOOM */
BAPP_MINIMIZE,
BAPP_RESTORE, /* TODO: IMPLEMENT! */
BAPP_SHOW,
BAPP_HIDE,
BAPP_MOUSE_FOCUS, /* caused by MOUSE_MOVE */
BAPP_KEYBOARD_FOCUS, /* from WINDOW_ACTIVATED */
BAPP_WINDOW_CLOSE_REQUESTED,
BAPP_WINDOW_MOVED,
BAPP_WINDOW_RESIZED,
BAPP_SCREEN_CHANGED
};
BAPP_HIDE
Definition: SDL_BApp.h:68
BAPP_SCREEN_CHANGED
Definition: SDL_BApp.h:74
BAPP_SHOW
Definition: SDL_BApp.h:67
BAPP_WINDOW_MOVED
Definition: SDL_BApp.h:72
BAPP_MOUSE_WHEEL
Definition: SDL_BApp.h:60
BAPP_WINDOW_RESIZED
Definition: SDL_BApp.h:73
BAPP_MOUSE_BUTTON
Definition: SDL_BApp.h:59
BAPP_MAXIMIZE
Definition: SDL_BApp.h:64
BAPP_KEY
Definition: SDL_BApp.h:61
BAPP_REPAINT
Definition: SDL_BApp.h:62
BAPP_MOUSE_MOVED
Definition: SDL_BApp.h:58
BAPP_MOUSE_FOCUS
Definition: SDL_BApp.h:69
BAPP_KEYBOARD_FOCUS
Definition: SDL_BApp.h:70
BAPP_MINIMIZE
Definition: SDL_BApp.h:65
BAPP_WINDOW_CLOSE_REQUESTED
Definition: SDL_BApp.h:71
BAPP_RESTORE
Definition: SDL_BApp.h:66